const mongoose = require('mongoose')

const AwardRequestSchema = mongoose.Schema({
    awardId:{
        type:mongoose.Types.ObjectId,
        ref:'AwardGPS'
    },
    userId:{
        type:String,
        ref:'UserGPS'
    },
    desc:String,
    metaData:Object,
    status:{
        type:Number,
        enum:[
            0, // Pending
            1  // Done
        ],
        default:0
    }
})

module.exports = mongoose.model('AwardRequestGPS', AwardRequestSchema)
